Subject: Re: IPsec workshop at netdev01?

From: Nicolas Dichtel <[email-masked]>
Date: Mon, 12 Jan 2015 18:19:38 +0100

Le 07/01/2015 13:55, Florian Westphal a écrit :
> Steffen Klassert <[email-masked]> wrote:
>> On Tue, Jan 06, 2015 at 06:00:26PM +0100, Florian Westphal wrote:
>>> Steffen Klassert <[email-masked]> wrote:
>>>> - We still lack a 32/64 bit compatibiltiy layer for IPsec, this issue
>>>>    comes up from time to time. Some solutions were proposed in the past
>>>>    but all had problems. The current behaviour is broken if someone tries
>>>>    to configure IPsec with 32 bit tools on a 64 bit machine. Can we get
>>>>    this right somehow or is it better to just return an error in this case?
>>>
>>> FWIW I think
>>> http://patchwork.ozlabs.org/patch/49465/
>>>
>>> came closest to achieving full CONFIG_COMPAT support; since netlink is
>>> no longer async now I'm not sure we'd still need additonal 32-compat syscalls
>>> to make compat work for all cases.
>>>
>>> So "its ugly as hell" is probably the only problem that is hard to avoid ;-)
>>
>> Yeah, and it will be no fun to maintain it...
>
> Not sure, you'd have to make sure that no new attributes introduce need
> to add another compat hack.
>
> The best argument against supporting it is that this problem
> has existed for so long that there arguably isn't much demand
> (else, such patch would have been merged years ago).
In fact, there is regularly some proposals to fix this, but I think that
nobody has taken the time to make a patch that satisfies everybody.
There is certainly a number of "private" patch for this problem, hence it
can be good to have a consensus on this topic.

Regards,
Nicolas